MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001389Orfeo Toolbox (OTB)Generalpublic2017-04-21 11:042017-04-27 15:32
Reporterderksend 
Assigned Togpasero 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0001389: otbcli_ColorMapping doesn't accept higher input values than 2^16 (UInt16 coding)
Descriptionotbcli_ColorMapping instantiates a color mapping filter templated with an entry type of UInt16. I would like to use it on a label raster with values higher than 65535 (for segmentation purposes). maybe add an option to set the input label type ?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004136)
gpasero (administrator)
2017-04-24 17:27

The best we can do here is to go for UInt32 images.

Also, please note that the integer parameters in OTB applications are actually 'int' (so potentially int16).
(0004141)
gpasero (administrator)
2017-04-25 14:51

Fixed here : https://git.orfeo-toolbox.org/otb.git/commit/bc9106ae516e78fdd5eeef428996723f26e332d0 [^]

- Issue History
Date Modified Username Field Change
2017-04-21 11:04 derksend New Issue
2017-04-21 13:20 Ludovic Severity minor => feature
2017-04-24 17:13 gpasero Assigned To => gpasero
2017-04-24 17:13 gpasero Status new => assigned
2017-04-24 17:27 gpasero Note Added: 0004136
2017-04-25 14:51 gpasero Note Added: 0004141
2017-04-25 14:51 gpasero Status assigned => resolved
2017-04-25 14:51 gpasero Resolution open => fixed
2017-04-27 15:32 julien Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker